package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Processing_customer;
import com.realnet.vpspack.Services.Processing_customerService ;














@RequestMapping(value = "/Processing_customer")
 @CrossOrigin("*") 
@RestController
public class Processing_customerController {
	@Autowired
	private Processing_customerService Service;

@Value("${projectPath}")
	private String projectPath;
 














	@PostMapping("/Processing_customer")
		  public Processing_customer Savedata(@RequestBody Processing_customer data) {
		Processing_customer save = Service.Savedata(data)	;













		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Processing_customer/{id}")
	public  Processing_customer update(@RequestBody Processing_customer data,@PathVariable Integer id ) {
		Processing_customer update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Processing_customer/getall/page")
	public Page<Processing_customer> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Processing_customer> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Processing_customer")
	public List<Processing_customer> getdetails() {
		 List<Processing_customer> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Processing_customer")
	public List<Processing_customer> getallwioutsec() {
		 List<Processing_customer> get = Service.getdetails();		
		return get;
}
@GetMapping("/Processing_customer/{id}")
	public  Processing_customer  getdetailsbyId(@PathVariable Integer id ) {
		Processing_customer  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Processing_customer/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}















}